NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder Class Reference

Represents a NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder . More...

Inheritance diagram for NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CreateGeometry [get, set]
 Returns or sets the create construction geometry flag. More...
 
unsafe NXOpen.Point DaylightBottomLeft [get, set]
 Returns or sets the left Daylight Bottom additional geometry. More...
 
unsafe bool DaylightBottomLeftFlag [get, set]
 Returns or sets the left Daylight Bottom additional geometry flag. More...
 
unsafe NXOpen.Point DaylightBottomRight [get, set]
 Returns or sets the right Daylight Bottom additional geometry. More...
 
unsafe bool DaylightBottomRightFlag [get, set]
 Returns or sets the right Daylight Bottom additional geometry flag. More...
 
unsafe NXOpen.Point DoorTopLeft [get, set]
 Returns or sets the left Door Top additional geometry. More...
 
unsafe bool DoorTopLeftFlag [get, set]
 Returns or sets the left Door Top additional geometry flag. More...
 
unsafe NXOpen.Point DoorTopRight [get, set]
 Returns or sets the right Door Top additional geometry. More...
 
unsafe bool DoorTopRightFlag [get, set]
 Returns or sets the right Door Top additional geometry flag. More...
 
unsafe NXOpen.Point OP1Left [get, set]
 Returns or sets the left OP1 alternative point. More...
 
unsafe bool OP1LeftFlag [get, set]
 Returns or sets the left OP1 alternative point flag. More...
 
unsafe NXOpen.Point OP1Right [get, set]
 Returns or sets the right OP1 alternative point. More...
 
unsafe bool OP1RightFlag [get, set]
 Returns or sets the right OP1 alternative point flag. More...
 
unsafe NXOpen.Point OP2Left [get, set]
 Returns or sets the left OP2 alternative point. More...
 
unsafe bool OP2LeftFlag [get, set]
 Returns or sets the left OP2 alternative point flag. More...
 
unsafe NXOpen.Point OP2Right [get, set]
 Returns or sets the right OP2 alternative point. More...
 
unsafe bool OP2RightFlag [get, set]
 Returns or sets the right OP2 alternative point flag. More...
 
unsafe NXOpen.Point PT6Left [get, set]
 Returns or sets the left PT6 additional geometry. More...
 
unsafe bool PT6LeftFlag [get, set]
 Returns or sets the left PT6 additional geometry flag. More...
 
unsafe NXOpen.Point PT6Right [get, set]
 Returns or sets the right PT6 additional geometry. More...
 
unsafe bool PT6RightFlag [get, set]
 Returns or sets the right PT6 additional geometry flag. More...
 
unsafe NXOpen.Expression ReqHorizontalLeftExact [get]
 Returns the left horizontal required approach angle. More...
 
unsafe NXOpen.Expression ReqHorizontalRightExact [get]
 Returns the right horizontal required approach angle. More...
 
unsafe NXOpen.Expression ReqVerticalMax [get]
 Returns the vertical maximum required approach angle. More...
 
unsafe NXOpen.Expression ReqVerticalMin [get]
 Returns the vertical minimum required approach angle. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder .

This is an abstract class and cannot be instantiated.

Created in NX9.0.0

Member Function Documentation

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.CreateGeometry
getset

Returns or sets the create construction geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.DaylightBottomLeft
getset

Returns or sets the left Daylight Bottom additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.DaylightBottomLeftFlag
getset

Returns or sets the left Daylight Bottom additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.DaylightBottomRight
getset

Returns or sets the right Daylight Bottom additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.DaylightBottomRightFlag
getset

Returns or sets the right Daylight Bottom additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.DoorTopLeft
getset

Returns or sets the left Door Top additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.DoorTopLeftFlag
getset

Returns or sets the left Door Top additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.DoorTopRight
getset

Returns or sets the right Door Top additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.DoorTopRightFlag
getset

Returns or sets the right Door Top additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.OP1Left
getset

Returns or sets the left OP1 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.OP1LeftFlag
getset

Returns or sets the left OP1 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.OP1Right
getset

Returns or sets the right OP1 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.OP1RightFlag
getset

Returns or sets the right OP1 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.OP2Left
getset

Returns or sets the left OP2 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.OP2LeftFlag
getset

Returns or sets the left OP2 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.OP2Right
getset

Returns or sets the right OP2 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.OP2RightFlag
getset

Returns or sets the right OP2 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.PT6Left
getset

Returns or sets the left PT6 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.PT6LeftFlag
getset

Returns or sets the left PT6 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.PT6Right
getset

Returns or sets the right PT6 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.PT6RightFlag
getset

Returns or sets the right PT6 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.ReqHorizontalLeftExact
get

Returns the left horizontal required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.ReqHorizontalRightExact
get

Returns the right horizontal required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.ReqVerticalMax
get

Returns the vertical maximum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactOPillarDetailBuilder.ReqVerticalMin
get

Returns the vertical minimum required approach angle.

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.